Как я могу откат xserver-xorg-core и xserver-common? [Дубликат]

4

Недавнее обновление Xorg нарушило мой рабочий стол, который теперь выглядит следующим образом:

Короче говоря, фон рабочего стола не обновляется на вторичном дисплее. (И если вторичного дисплея нет, основной фон фона перестает обновляться.)

Заглянув в историю, я обнаружил, что это произошло сразу после обновления двух пакетов:

  • Xserver-Xorg-ядро
  • Xserver-общие

Они были обновлены до 1.9.0-0ubuntu7.3.

Я хотел бы понизить эти пакеты. Как это сделать?

Я проверил, что у обоих есть другая версия в репозитории maverick:

xserver-xorg-core:
  Installed: 2:1.9.0-0ubuntu7.3
  Candidate: 2:1.9.0-0ubuntu7.3
  Version table:
 *** 2:1.9.0-0ubuntu7.3 0
        500 http://fi.archive.ubuntu.com/ubuntu/ maverick-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2:1.9.0-0ubuntu7 0
        500 http://fi.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages

Однако, apt не позволит мне понизить их:

[email protected] ~ % sudo apt-get install xserver-common=2:1.9.0-0ubuntu7 xserver-xorg-core=2:1.9.0-0ubuntu7

The following packages have unmet dependencies:
 xserver-xorg-core : Depends: xserver-xorg but it is not going to be installed
E: Broken packages

И вот почему:

[email protected] ~ % sudo apt-get install xserver-common=2:1.9.0-0ubuntu7 xserver-xorg-core=2:1.9.0-0ubuntu7 xserver-xorg-core

The following packages have unmet dependencies:
 xserver-xorg-core : Depends: xserver-common (>= 2:1.9.0-0ubuntu7.3) but 2:1.9.0-0ubuntu7 is to be installed
E: Broken packages

Есть ли здесь варианты?

    
задан Ville Sundberg 30.01.2011 в 11:34
источник

2 ответа

1

Это оказалось достаточно простым:

  • Поиск соответствующих пакетов в Launchpad
  • Загрузка пакетов
  • запустите sudo dpkg -i в пакетах

Однако это не решило мою проблему. Я буду продолжать искать.

    
ответ дан Ville Sundberg 30.01.2011 в 13:55
источник
1

Synaptic также может отказаться от пакетов: щелкните правой кнопкой мыши нужный пакет, выберите «Force version» и выберите более старую версию. Затем нажмите кнопку «Применить».

    
ответ дан papukaija 20.02.2011 в 22:15